> ## Documentation Index
> Fetch the complete documentation index at: https://docs.decodahealth.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Enrollment Executions



## OpenAPI

````yaml get /comms/outreach-sequences/{sequence_id}/enrollments/{enrollment_id}/executions
openapi: 3.1.0
info:
  title: Decoda API
  description: External API documentation for the Decoda Health platform.
  version: '1.0'
servers: []
security: []
paths:
  /comms/outreach-sequences/{sequence_id}/enrollments/{enrollment_id}/executions:
    get:
      tags:
        - Outreach Sequences
      summary: List Enrollment Executions
      operationId: >-
        list_enrollment_executions_comms_outreach_sequences__sequence_id__enrollments__enrollment_id__executions_get
      parameters:
        - name: TENANT
          in: header
          required: true
          schema:
            type: string
            title: Tenant
          description: The tenant you are making this request on behalf of
        - name: API-KEY
          in: header
          required: true
          schema:
            type: string
            title: Api-Key
          description: Your api key
        - name: sequence_id
          in: path
          required: true
          schema:
            type: string
            title: Sequence Id
        - name: enrollment_id
          in: path
          required: true
          schema:
            type: string
            title: Enrollment Id
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/EnrollmentExecutionDetail'
                title: >-
                  Response List Enrollment Executions Comms Outreach Sequences 
                  Sequence Id  Enrollments  Enrollment Id  Executions Get
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    EnrollmentExecutionDetail:
      properties:
        id:
          anyOf:
            - type: string
            - type: 'null'
          title: Id
        stepId:
          type: string
          title: Stepid
        stepDisplayOrder:
          type: integer
          title: Stepdisplayorder
        stepEffectType:
          $ref: '#/components/schemas/EffectType'
        status:
          anyOf:
            - $ref: '#/components/schemas/EnrollmentExecutionStatus'
            - type: 'null'
        skipReason:
          anyOf:
            - type: string
            - type: 'null'
          title: Skipreason
        scheduledAt:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Scheduledat
        executedAt:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Executedat
      type: object
      required:
        - stepId
        - stepDisplayOrder
        - stepEffectType
      title: EnrollmentExecutionDetail
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    EffectType:
      type: string
      enum:
        - SEND_SMS
        - SEND_EMAIL
        - CHANGE_STATUS
        - CREATE_TASK
      title: EffectType
    EnrollmentExecutionStatus:
      type: string
      enum:
        - SUCCESS
        - SKIPPED
        - FAILED
      title: EnrollmentExecutionStatus
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````